
CoCoA-5 - Bug #1140

ImplicitModular: too many bad primes

14 Dec 2017 14:19 - John Abbott

Status: Closed Start date: 14 Dec 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 1.01 hour

Target version: CoCoA-5.2.2 Spent time: 1.75 hour

Description

In the example below ImplicitModular decides that it has found a "better prime", but after that all primes seem to be "bad".

Very suspicious!

---------------------------

source("../IdealsModP.cpkg5");

---------------------------

SetVerbosityLevel(90);

R ::= QQ[x,y,z,v,w];

Use S ::= QQ[s,t];

f1:= t^5*s^2 -s -1;  f2:= s^3*t^2 +2*t^2 -t;  f3:= t^2 +s*t -1;  f4:=s^3-2*t+s; f5:= s^3-t^2;

L := [f1, f2, f3,f4, f5];

T := CpuTime();  G:= implicit(R,L); TimeFrom(T);

-- 4.643

T := CpuTime();  GM:= ImplicitModular(R,L,100); TimeFrom(T);

-- 6.820

 

This is just Renzo's example 3su6.cocoa5 (from IdealsModp) with starting prime 100.

Related issues:

Related to CoCoALib - Feature #587: port to CoCoALib: Homomorphism pkg (ker, ... Closed 14 Jul 2014

History

#1 - 14 Dec 2017 14:25 - John Abbott

The critical prime appears to be 223.

If I start the calculation from p=223, it reports that all other primes are BAD.

But starting from 227 works OK.

#2 - 14 Dec 2017 14:54 - John Abbott

The defn of IsPrecedingNoCheck looks suspicious to me (compared to the defn in the article).

But changing the defn to what I think it should be has disastrous consequences for ex-bad.cocoa5

#3 - 14 Dec 2017 16:26 - Anna Maria Bigatti

- Status changed from New to Closed

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 100

- Estimated time set to 1.01 h

this is related with implicit: it should (by default) return the ideal in a ring with weights, so that the generators are a GBasis.

#4 - 14 Dec 2017 16:26 - Anna Maria Bigatti
- Related to Feature #587: port to CoCoALib: Homomorphism pkg (ker, IsInjective, IsSurjective..) added

#5 - 16 Jan 2018 15:45 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.2
